package com.ssj.bean.course.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name="tb_course_series_details_file")
public class CourseSeriesDetailFile extends BaseEntity {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	/**
	 * course_details_id varchar(36) not null comment '系列课明细id',
  file_type varchar(20) not null comment '文件类型',
  file_url varchar(30) not null comment '文件路径',
  create_time datetime comment '创建时间',
	 */
	private String courseDetailsId;
	private String fileType;
	private String fileUrl;
	private Date createTime;
	private String coverUrl; //封面 mp4时有
	public String getCourseDetailsId() {
		return courseDetailsId;
	}
	public void setCourseDetailsId(String courseDetailsId) {
		this.courseDetailsId = courseDetailsId;
	}
	public String getFileType() {
		return fileType;
	}
	public void setFileType(String fileType) {
		this.fileType = fileType;
	}
	public String getFileUrl() {
		return fileUrl;
	}
	public void setFileUrl(String fileUrl) {
		this.fileUrl = fileUrl;
	}
	public Date getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	public String getCoverUrl() {
		return coverUrl;
	}
	public void setCoverUrl(String coverUrl) {
		this.coverUrl = coverUrl;
	}
	
	
}
